unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Onglets, RegisteryUnit, DadUtils;

type
  TForm1 = class(TForm)
    Onglet1: TOnglet;
    ButtonBar1: TButtonBar;
    RegBase: TRegisteryBase;
    procedure FormCreate(Sender: TObject);
    procedure ButtonBar1Execute(IconNum: Integer; Image: TBitmap; Command,
      Hint: String);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    procedure AddRecursif(Name, Dir : String ; O : Integer);
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.AddRecursif(Name, Dir : String ; O : Integer);
Var
  Sr : TSearchRec;
Begin
  Onglet1.Pages.Add(Name);
  if FindFirst(Dir+'*.*',faAnyFile,Sr)=0 then
  Repeat
    if Sr.Attr and faDirectory = 0 then
      With ButtonBar1.Add do
      Begin
        ExtractIcon(Dir+Sr.Name,0);
        Command:=Dir+Sr.Name;
        PageNum:=O;
      End
    Else if (Sr.Name<>'.') and (Sr.Name<>'..') then
      AddRecursif(Sr.Name,Dir+Sr.Name+'\',Onglet1.Pages.Count);
  Until FindNext(Sr)<>0;
  FindClose(Sr);
End;

procedure TForm1.FormCreate(Sender: TObject);
begin
  AddRecursif('Programmes',RegBase.ProgramsDir+'\',Onglet1.Pages.Count);
end;

procedure TForm1.ButtonBar1Execute(IconNum: Integer; Image: TBitmap; Command, Hint: String);
begin
  // A function included in DadUtils
  DocExec(Command,ewDefault);
end;

end.
