unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, DadGraphics;

type
  TForm1 = class(TForm)
    OpenDialog1: TOpenDialog;
    procedure FormCreate(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    Src : TBitmap;
    Dest : TBitmap;
    Dest2: TBitmap;
    Zoom : Double;
    Angle : Double;
    Qualite : Integer;
  end;

var
  Form1: TForm1;

implementation

uses Unit2;

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  if not OpenDialog1.Execute then Application.Terminate; 
  Src:=TBitmap.Create;
  Dest:=TBitmap.Create;
  Dest2:=TBitmap.Create;
  Src.LoadFromFile(OpenDialog1.FileName);
  Zoom:=50/100;
  Angle:=0;
  Qualite:=4;
end;

procedure TForm1.FormPaint(Sender: TObject);
begin
  Dest.Canvas.Brush.Color:=clBtnFace;
  Dest.Canvas.FillRect(Rect(0,0,Dest.Width,Dest.Height));
  RotateBitmap(Src,Dest,Width div Qualite,Height div Qualite,Angle,Zoom / Qualite);
  if Form2.CheckBox1.Checked then
  Begin
    StretchBitmap(Dest,Dest2,ClientWidth,ClientHeight,True);
    Canvas.Draw(0,0,Dest2);
  End else
    Canvas.StretchDraw(Rect(0,0,ClientWidth,ClientHeight),Dest);
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  Form2.Show;
end;

end.

